{% extends 'root.html' %}
{% block body %}
<h1>Chemistry Starters Registration token extension</h1>
<p>
This form allows generation of a new token to replace one that has expired.
</p>
<form method="POST">
 <div id="token-form">
{% for field in form %}
{% if field.type == 'CSRFTokenField' or field.type == 'HiddenField' %}
{{ field }}
{% else %}
  <div class="token-field">{{ field.label }}{{ field }}</div>
{% endif %}
{% endfor %}
 </div>
 <div class="token-submit">
  <input type="submit" name="submit" value="Extend"/>
 </div>
</form>
{% if new_token is defined %}
<p>
The new token is {{ new_token }}
<br />
The form link is <a href="{{ url_for("starter_navigation.navigation_index",_external=True, token=new_token) }}">{{ url_for("starter_navigation.navigation_index",_external=True, token=new_token) }}</a>
</p>
{% endif %}

{% if message is defined %}
<p>
{{ message }}
</p>
{% endif %}
{% endblock %}
